Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.analyser.interfaces
Interface JspAnalyzer

All Known Implementing Classes:
  JspRelationsAnalyzer, JspxJspAnalyzer, MakumbaJspAnalyzer

    public interface JspAnalyzer

The interface of a JSP analyzer.

Version:
  $Id: JspAnalyzer.java 3694 2009-02-11 00:41:05Z rosso_nero $
Author:

Method Summary
`Object` | `endPage(Object status)` The end of the page
`void` | `endTag(TagData td, Object status)` End of a body tag, like
`Object` | `makeStatusHolder(Object initStatus)` Makes a status holder, which is passed to all other methods
`void` | `simpleTag(TagData td, Object status)` A simple tag, like <
`void` | `startTag(TagData td, Object status)` Start of a body tag
`void` | `systemTag(TagData td, Object status)` A system tag, like <%@

Method Detail

### makeStatusHolder

    Object makeStatusHolder(Object initStatus)

  Makes a status holder, which is passed to all other methods

  Parameters:
    `initStatus` - an initial status to be passed to the JspAnalyzer. for example, the pageContext for an example-based analyzer

### startTag

    void startTag(TagData td,
                  Object status)

  Start of a body tag

  Parameters:
    `td` - the TagData holding the parsed data
    `status` - the status of the parsing
  See Also:
    `endTag(TagData, Object)`

### endTag

    void endTag(TagData td,
                Object status)

  End of a body tag, like

  Parameters:
    `td` - the TagData holdking the parsed data
    `status` - the status of the parsing

### simpleTag

    void simpleTag(TagData td,
                   Object status)

  A simple tag, like <... />

  Parameters:
    `td` - the TagData holdking the parsed data
    `status` - the status of the parsing

### systemTag

    void systemTag(TagData td,
                   Object status)

  A system tag, like <%@ ...%>

  Parameters:
    `td` - the TagData holdking the parsed data
    `status` - the status of the parsing

### endPage

    Object endPage(Object status)

  The end of the page

  Parameters:
    `status` - the status of the parsing
  Returns:
    The result of the analysis

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20